Bug 728310 - MRG/RT 2.6.33.9-rt31.73 is missing cxgb3/t3fw-7.10.0.bin firmware files
Summary: MRG/RT 2.6.33.9-rt31.73 is missing cxgb3/t3fw-7.10.0.bin firmware files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel
Version: 2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: 2.0.8
: ---
Assignee: Luis Claudio R. Goncalves
QA Contact: David Sommerseth
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-04 16:44 UTC by David Sommerseth
Modified: 2016-05-22 23:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Firmware files for cxgb3 driver were older than the driver version. Consequence: When loading the cxgb3 driver a message saying that the expected firmware version was not found and that the fallback (older version) would be used was added to the logs. Fix: Add the required firmware files. Result: The new firmware is used and no warning messages are displayed.
Clone Of:
Environment:
Last Closed: 2011-09-12 19:47:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1253 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-09-12 19:43:48 UTC

Description David Sommerseth 2011-08-04 16:44:35 UTC
When loading cxgb3, the following can be observed in dmesg:
---------------------------------------------------------------
cxgb3 0000:01:00.0: found old FW minor version(7.4), driver compiled for version 7.10
cxgb3 0000:01:00.0: firmware: requesting cxgb3/t3fw-7.10.0.bin
cxgb3 0000:01:00.0: could not upgrade firmware: unable to load cxgb3/t3fw-7.10.0.bin
cxgb3 0000:01:00.0: FW upgrade to 7.10.0 failed
cxgb3 0000:01:00.0: firmware: requesting cxgb3/ael2005_opt_edc.bin
---------------------------------------------------------------

[root@mrg4 ~]# ls -l /lib/firmware/cxgb3/ /lib/firmware/2.6.33.9-rt31.73.el6rt/cxgb3/
/lib/firmware/2.6.33.9-rt31.73.el6rt/cxgb3/:
total 52
-rw-r--r--. 1 root root  1088 Jul 20 11:17 ael2005_opt_edc.bin
-rw-r--r--. 1 root root  1468 Jul 20 11:17 ael2005_twx_edc.bin
-rw-r--r--. 1 root root  1584 Jul 20 11:17 ael2020_twx_edc.bin
-rw-r--r--. 1 root root  2564 Jul 20 11:17 t3b_psram-1.1.0.bin
-rw-r--r--. 1 root root  2564 Jul 20 11:17 t3c_psram-1.1.0.bin
-rw-r--r--. 1 root root 30648 Jul 20 11:17 t3fw-7.4.0.bin

/lib/firmware/cxgb3/:
total 52
-rw-r--r--. 1 root root  1088 May 10 16:14 ael2005_opt_edc.bin
-rw-r--r--. 1 root root  1468 May 10 16:14 ael2005_twx_edc.bin
-rw-r--r--. 1 root root  1584 May 10 16:14 ael2020_twx_edc.bin
-rw-r--r--. 1 root root  2564 May 10 16:14 t3b_psram-1.1.0.bin
-rw-r--r--. 1 root root  2564 May 10 16:14 t3c_psram-1.1.0.bin
-rw-r--r--. 1 root root 30648 May 10 16:14 t3fw-7.4.0.bin
[root@mrg4 ~]# 


The NIC does respond to ping when configured, so it's not completely dead.  But most likely not optimal situation.

Comment 4 Luis Claudio R. Goncalves 2011-08-29 15:30:22 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Firmware files for cxgb3 driver were older than the driver version.
Consequence: When loading the cxgb3 driver a message saying that the expected firmware version was not found and that the fallback (older version) would be used was added to the logs.
Fix: Add the required firmware files.
Result: The new firmware is used and no warning messages are displayed.

Comment 5 David Sommerseth 2011-09-08 14:47:10 UTC
Booted kernel-rt-2.6.33.9-rt31.75 on mrg4 and mrg5 with cxgb3 NICs.  No warnings related to cxgb3 was found.  Firmware seems to have been loaded properly.

From dmesg:
--------------------------------------------------------
cxgb3 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
cxgb3 0000:01:00.0: setting latency timer to 64
cxgb3 0000:01:00.0: Port 0 using 1 queue sets.
--------------------------------------------------------

Ran several network tests to checks in addition without noticing any issues.

-> VERIFIED

Comment 6 errata-xmlrpc 2011-09-12 19:47:24 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-1253.html


Note You need to log in before you can comment on or make changes to this bug.